/*********************************************************************
* Filename: example.cmd                                              *
*                                                                    *
* Author: David M. Alter, Texas Instruments Inc.                     *
*                                                                    *
* Last Modified: 03/14/01                                            *
*                                                                    *
* Description: Assembly code linker command file for LF2407 DSP.     *
*********************************************************************/

MEMORY
{
  PAGE 0:    /* Program Memory */
    VECS:           org=00000h,   len=00040h   /* internal FLASH */
    FLASH:          org=00044h,   len=07FBCh   /* internal FLASH */
    EXTPROG:        org=08800h,   len=07800h   /* external SRAM  */

  PAGE 1:    /* Data Memory */
    B2:             org=00060h,   len=00020h   /* internal DARAM */
    B0:             org=00200h,   len=00100h   /* internal DARAM */
    B1:             org=00300h,   len=00100h   /* internal DARAM */
    SARAM:          org=00800h,   len=00800h   /* internal SARAM */
    EXTDATA:        org=08000h,   len=08000h   /* external SRAM  */
}

SECTIONS
{
       .text:  >    FLASH           PAGE 0
        .bss:  >    B1              PAGE 1
     vectors:  >    VECS            PAGE 0
       stack:  >    SARAM           PAGE 1

    mon_main  : { } > FLASH			PAGE 0	    /* Main Monitor program	    	*/
    mon_pge0  : { } > B2			PAGE 1	    /* Used by RT monitor	    	*/
    mon_rgst  : { } > B2			PAGE 1	    /* Used by RT monitor	    	*/
}
